# Visualization
TKV3d
SelectMgr

# SelectMgr_SortCriterion Class Reference

`#include <SelectMgr_SortCriterion.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | SelectMgr_SortCriterion ()
Standard_EXPORT | SelectMgr_SortCriterion (const Standard_Integer aPriority, const Standard_Real aDepth, const Standard_Real aMinDist)
void | SetValues (const Standard_Integer Prior, const Standard_Real aDepth, const Standard_Real aMinDist)
void | SetPriority (const Standard_Integer P)
void | SetDepth (const Standard_Real D)
void | SetMinDist (const Standard_Real D)
void | Values (Standard_Integer &Prior, Standard_Real &Depth, Standard_Real &Dist) const
Standard_Integer | Priority () const
Standard_Real | Depth () const
Standard_Real | MinDist () const
Standard_EXPORT Standard_Boolean | IsGreater (const SelectMgr_SortCriterion &anOtherCriterion) const
Standard_Boolean | operator> (const SelectMgr_SortCriterion &anOtherCriterion) const
Standard_EXPORT Standard_Boolean | IsLower (const SelectMgr_SortCriterion &anOtherCriterion) const
Standard_Boolean | operator< (const SelectMgr_SortCriterion &anOtherCriterion) const

## Private Attributes

Standard_Integer | myPrior
Standard_Real | myDepth
Standard_Real | myDist

## Constructor & Destructor Documentation

Standard_EXPORT SelectMgr_SortCriterion::SelectMgr_SortCriterion | ( |  | ) |

Standard_EXPORT SelectMgr_SortCriterion::SelectMgr_SortCriterion | ( | const Standard_Integer | aPriority,
|  | const Standard_Real | aDepth,
|  | const Standard_Real | aMinDist
| ) |

## Member Function Documentation

Standard_Real SelectMgr_SortCriterion::Depth | ( |  | ) | const`[inline]`

Standard_EXPORT Standard_Boolean SelectMgr_SortCriterion::IsGreater | ( | const SelectMgr_SortCriterion & | anOtherCriterion | ) | const

Standard_EXPORT Standard_Boolean SelectMgr_SortCriterion::IsLower | ( | const SelectMgr_SortCriterion & | anOtherCriterion | ) | const

Standard_Real SelectMgr_SortCriterion::MinDist | ( |  | ) | const`[inline]`

void SelectMgr_SortCriterion::operator delete | ( | void * | anAddress | ) | `[inline]`

void* SelectMgr_SortCriterion::operator new | ( | size_t | size | ) | `[inline]`

void* SelectMgr_SortCriterion::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_Boolean SelectMgr_SortCriterion::operator< | ( | const SelectMgr_SortCriterion & | anOtherCriterion | ) | const`[inline]`

Standard_Boolean SelectMgr_SortCriterion::operator> | ( | const SelectMgr_SortCriterion & | anOtherCriterion | ) | const`[inline]`

Standard_Integer SelectMgr_SortCriterion::Priority | ( |  | ) | const`[inline]`

void SelectMgr_SortCriterion::SetDepth | ( | const Standard_Real | D | ) | `[inline]`

void SelectMgr_SortCriterion::SetMinDist | ( | const Standard_Real | D | ) | `[inline]`

void SelectMgr_SortCriterion::SetPriority | ( | const Standard_Integer | P | ) | `[inline]`

void SelectMgr_SortCriterion::SetValues | ( | const Standard_Integer | Prior,
|  | const Standard_Real | aDepth,
|  | const Standard_Real | aMinDist
| ) | `[inline]`

void SelectMgr_SortCriterion::Values | ( | Standard_Integer & | Prior,
|  | Standard_Real & | Depth,
|  | Standard_Real & | Dist
| ) | const`[inline]`

## Field Documentation

Standard_Real SelectMgr_SortCriterion::myDepth `[private]`

Standard_Real SelectMgr_SortCriterion::myDist `[private]`

Standard_Integer SelectMgr_SortCriterion::myPrior `[private]`

The documentation for this class was generated from the following files:

- SelectMgr_SortCriterion.hxx
- SelectMgr_SortCriterion.lxx